// id pricing

.pricing {
    background-color: #463948;
    max-width: none;
    width: 100%;
    @include flex(center, center);
  
  
    @include tablet {
      padding-top: 88px;
      background-size: 100% 100%;
      background-image: url("../img/pricing-bg.png");
      background-repeat: no-repeat;
    }
  
    .container {
      flex-direction: column;
      @include flex(center, center);
      margin-bottom: 12px;
      max-width: 1200px;
  
      @include tablet {
        margin-bottom: 95px;
      }
  
      @include desktop {
        width: 100%;
      }
  
      &__title {
        color: $white;
        text-align: center;
        font-size: 28px;
        font-family: Montserrat;
        font-weight: 700;
        line-height: 42px;
        margin-bottom: 30px;
  
        @include tablet {
          font-size: 42px;
          line-height: 44px;
          margin-bottom: 40px;
        }
  
        @include desktop {
          font-size: 48px;
          line-height: 50px;
          margin-bottom: 60px;
        }
      }
  
      .banner-wrapper {
        display: grid;
        grid-template-columns: 1fr;
        width: 100%;
        height: 100%;
        grid-gap: 15px 5px;
  
        @include tablet {
          grid-template-columns: repeat(2, 1fr);
        }
  
        @include desktop {
          grid-template-columns: repeat(4, 1fr);
          grid-template-rows: 1fr;
        }
  
        &__banner {
          align-self: start;
          justify-self: center;
          grid-column: span 1;
          @include flex(flex-start, center);
          flex-direction: column;
          min-width: 220px;
          width: 100%;
          max-width: 260px;
          height: 460px;
          background: rgba(255, 255, 255, 0.1);
          text-transform: uppercase;
  
          &:first-child {
            @include tablet {
            justify-self: end;
            }
  
            p:first-child {
              margin-bottom: 7px;
            }
  
            a {
              margin-top: 70px;
              margin-bottom: 26px;
            }
          }
  
          @include tablet {
            align-self: center;
            justify-items: start;
          }
  
          p:first-child {
            @include flex(center, center);
            width: 100%;
            height: 100px;
            color: $white;
            font-size: 24px;
            font-family: Montserrat;
            background: rgba(255, 255, 255, 0.06);
            margin-bottom: 10px;
          }
  
          h3 {
            color: $white;
            font-size: 60px;
            font-family: Montserrat;
            line-height: 62px;
            margin-bottom: 20px;
          }
  
          p:nth-child(3) {
            color: $white;
            font-size: 14px;
            font-family: Montserrat;
            line-height: 16px;
            margin-bottom: 40px;
          }
  
          .separator {
            width: 60px;
            height: 5px;
            background-color: $purple;
            margin-bottom: 30px;
          }
  
          p:nth-child(5),
          p:nth-child(6) {
            color: $white;
            font-size: 16px;
            font-family: Montserrat;
            text-align: center;
            width: 100%;
            text-transform: capitalize;
            line-height: 18px;
            margin-bottom: 10px;
            font-weight: 300;
          }
  
          a {
            @include flex(center, center);
            width: 165px;
            height: 45px;
            border-radius: 20px;
            font-family: Montserrat;
            background-color: rgba(255, 255, 255, 0.15);
            color: $white;
            font-size: 15px;
            line-height: 15px;
            margin-top: 45px;
            margin-bottom: 36px;
  
            &:hover {
              opacity: 0.8;
              transition: 0.3s;
            }
          }
  
          &_best {
            justify-self: center;
            min-width: 220px;
            max-width: 280px;
            width: 100%;
            height: 560px;
            background-color: $best-price;
  
            @include tablet {
              justify-self: end;
              max-width: 300px;
            }
  
            p:first-child {
              background: rgba(0, 0, 0, 0.1);
            }
  
            h1 {
              color: #FFF;
              font-size: 82px;
              font-family: Montserrat;
              line-height: 84px;
              margin-bottom: 15px;
            }
  
            p:nth-child(3) {
              margin-bottom: 45px;
            }
  
            .separator:nth-child(4) {
              margin-bottom: 40px;
            }
  
            a:last-child {
              margin-top: 85px;
            }
          }
        }
      }
    }
  }

